Subject: bug#11138: 23.3; on Windows, message-box does not display line breaks in the message

From: Eli Zaretskii <[email-masked]>
Date: Sat, 31 Mar 2012 21:58:59 +0300

> From: "Drew Adams" <[email-masked]>
> Cc: <[email-masked]>, <[email-masked]>
> Date: Sat, 31 Mar 2012 11:37:35 -0700
> 
> > > I see.  I don't have a true message-box implementation, but 
> > > wouldn't it be possible to just use multiple menu lines for this?
> > 
> > Not if we reuse the normal menu-creation code, I would think.  But the
> > truth is that I simply don't know enough about this to say something
> > intelligent.  Again, if this is possible, patches are welcome.
> 
> It certainly would be possible (trivial) in Lisp: just split the string at each
> \n and create a separate (non-selectable) menu item for each.

But the same code is used for a real menu, where we don't want to
create two separate menu items for a line with embedded newline.